# MQmetrics 0.99.2

* Added a `NEWS.md` file to track changes to the package.


# MQmetrics 0.99.3 

* Functions now use a general input resulting from `make_MQCombined()`.
* Shortened lines in the code.
* Usage of *seq_len* rather than *1: ...*
* Usage of ultiples of 4 spaces for line indents.
* Removed *LazyData: TRUE*.

# MQmetrics 1.0.0  

* The function `generateReport()` now takes the parameter *name_output_file* 
to name the output pdf file.
* Added information regarding peptides, and peptides/protein ratio in report 
tables.
* Added the function `PlotProteinPeptideRatio()` to visualize a comparison 
between the proteins identified and the ratio Peptide/Proteins among
Experiments.



# MQmetrics 1.1.1 

* Added pagination to `PlotiRT()` and `PlotiRTScore()`.
* Updated vignette style to Bioconductor's.
* Improved aesthethics of `PlotProteinOverlap()` and `PlotPCA()`.

# MQmetrics 1.1.2 

* Fixed units of time `MaxQuantAnalysisInfo()`  when experiment lasting
longer than a day.
* Added new line to `MaxQuantAnalyssInfo()` showing when the experiment ended.
* Improved aesthethics in the plots from `PlotCombinedDynamicRange()` and 
`PlotAllDynamicRange()`.

# MQmetrics 1.1.3 
* Added new function `PlotPTMAcrossSamples()`, it takes as input one PTM of 
interest and shows its intensities across the samples. 
This function is similar to `PlotPTM()` but in more detail.
* In the function `PlotPTM()` a parameter `combine_same_residue_ptms` has been
added. It combines multiple PTMs happening in the same residue such as:
Dimethyl (KR), Trimethyl (KR).


# MQmetrics 1.1.4  


* The function `PlotProteinCoverage()` now reports the coverage individually in
each plot rather than the total protein coverage.

* MQmetrics now is adapted to MaxQuant v.2.x, since the column names 
are different than in MaxQuant v.1.x. MQmetrics will detect the MaxQuant 
version used and read the columns accordingly.

* Enhanced error message in `PlotiRT()` and `PlotiRTScore()` when irt 
peptides are note found. Enhanced error message for `PlotProteinCoverage()`
when the  `UniprotID` is not found.

# MQmetrics 1.1.5, 13/09/2021 

* The plot generated by  `PlotPTM()` will now indicate (in the legend title) 
whether the Post-Translational modifications have been aggregated or not as a 
result of the parameter `aggregate_PTMs`. 

* The function `PlotPeptidesIdentified()` and  `PlotProteinsIdentified()` now
return a plot containing Missing Values, Frequency of Identified by Match 
Between Runs and Frequency of identified by MS/MS. With this, the funciton 
`PlotIdentificationType()` becomes obsolete. 

* The function `PlotProteinCoverage()` now can take as input multiple 
`UniprotID` in a vector format.

* The function `PlotPTMAcrossSamples()` now can take as input multiple 
`PTM_of_Interest` in a vector format.

* Change in the function `make_MQCombined()` to read faster the tables and 
reducing the overall time required to generate a report.

# MQmetrics 1.1.6, 06/10/2021  

* Bug fixed: If a table was missing, the report was not generated.

# MQmetrics 1.1.7, 07/10/2021

* Removed parentheses from the news that was causing issues in Bioconductor.

# MQmetrics 1.1.8, 08/10/2021

* Fixed test that was resulting in error duet to version 1.1.6 updated way
to read the files. 

# MQmetrics 1.3.1 03/01/2022

* Added median to the `PlotAndromedaScore()`. 
* Remove warnings from the vignettes.
* Now MQmetrics can read the `mqpar.xml` file. This one must be located on the 
same directory as the `combined` folder.
* Reporting the number of threads used by MaxQuant if found the `mqpar.xml` 
file.

# MQmetrics 1.3.2 03/01/2022

* Reporthing the `fixed Modifications` if the `mqpar.xml` is present.

# MQmetrics 1.3.3 10/01/2022

* Removed unused dependency.
